#
# spec file for package gnomeicu (Version 0.96.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libgtop libgtop-devel libjpeg libpng libtiff libtool orbit orbit-devel tiff xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgtop libgtop-devel libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils tiff timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnomeicu
Summary:      An ICQ clone for the GNOME desktop
Version:      0.96.1
Release:      251
Copyright:    GPL
Group:		Applications/Communications
URL:          http://gnomeicu.sourceforge.net/
Source:       ftp://download.sourceforge.net/pub/sourceforge/gnomeicu/gnomeicu-%{version}.tar.bz2
Requires:     gnome-libs >= 1.2.0
Requires:     orbit >= 0.5.0
Requires:     gtk >= 1.2.7
Obsoletes:    gtkicq
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
GnomeICU (previously GtkICQ) is an Internet based communications program
which makes use of the ICQ protocol. GnomeICU also makes use of Gnome,
a growingly popular desktop environment. GnomeICU is released under the
GNU Public License, and is available free of charge.

Authors:
--------
    Jeremy Wise <jwise@pathwaynet.com>

SuSE series: gnm

%prep
%setup
%define prefix /opt/gnome
%define sysconfdir /etc/opt/gnome
# seems as if xss support is broken on alpha :-(
%ifarch alpha
  ARCH_FLAGS="--without-xss"
%endif
CFLAGS="$RPM_OPT_FLAGS"
./configure $ARCH_FLAGS \
            --with-statusmenu \
            --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir}

%build
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     install-strip

%files
%defattr(-,root,root)
%config %{sysconfdir}/sound/events/GnomeICU.soundlist
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{prefix}/bin/gnomeicu
%{prefix}/share/applets/Network/GnomeICU.desktop
%{prefix}/share/gnome/apps/Internet/GnomeICU.desktop
%{prefix}/share/gnome/help/gnomeicu/*
%{prefix}/share/gnomeicu/icons/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/sounds/gnomeicu/*
%{sysconfdir}/CORBA/servers/GnomeICU.gnorba

%changelog -n gnomeicu
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Mar 08 2001 - grimmer@suse.de
- update to 0.96.1
- added gnome/apps/Internet/GnomeICU.desktop entry
* Mon Feb 26 2001 - grimmer@suse.de
- update to 0.95.3
- added icons to file list
- added missing libs to #neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Oct 19 2000 - grimmer@suse.de
- Update to 0.94.1
- specfile changes (URL, Source, BuildRoot path)
- use bzipped sources instead gzipped ones
* Fri Jun 16 2000 - grimmer@suse.de
- initial package (0.93)
- spec file derived from source package
